Zigbee Module Examples

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
applicationConfiguration Struct Reference

`#include <application_configuration.h>`

## Data Fields
uint8_t | endPoint
uint16_t | profileId
uint16_t | deviceId
uint8_t | deviceVersion
uint8_t | latencyRequested
uint8_t | numberOfBindingInputClusters
uint16_t | bindingInputClusters [MAX_BINDING_CLUSTERS]
uint8_t | numberOfBindingOutputClusters
uint16_t | bindingOutputClusters [MAX_BINDING_CLUSTERS]

## Detailed Description

    This is a set of application configuration parameters. These parameters affect the way our

particular Zigbee Application will behave.

## Field Documentation

uint16_t bindingInputClusters[MAX_BINDING_CLUSTERS]

    List of Input Clusters for Binding. If not using binding then this does not apply.

To allow another device to bind to this device, must use ZB_ALLOW_BIND on this device and must also use ZB_BIND_DEVICE on the other device.

uint16_t bindingOutputClusters[MAX_BINDING_CLUSTERS]

    List of Output Clusters for Binding. If not using binding then this does not apply.

To bind to another device, that device must use ZB_ALLOW_BIND and this device must use ZB_BIND_DEVICE to create a binding.

uint16_t deviceId

    A user-defined device ID field. Not used in Simple API.

When using AFZDO API a remote device can query for this using the ZDO_SIMPLE_DESC_REQ command.

uint8_t deviceVersion

    A user-defined device ID field. Not used in Simple API.

When using AFZDO API a remote device can query for this using the ZDO_SIMPLE_DESC_REQ command.

uint8_t endPoint

The Zigbee Endpoint. Simple API only supports one endpoint. AF supports multiple endpoints. Must use the same value of endpoint for all devices in the network.

uint8_t latencyRequested

    A very simple Quality of Service (QoS) setting. Not used in Simple API.

When using AFZDO API must be LATENCY_NORMAL, LATENCY_FAST_BEACONS, or LATENCY_SLOW_BEACONS.

uint8_t numberOfBindingInputClusters

Number of Input Clusters for Binding. If not using binding then set to zero.

uint8_t numberOfBindingOutputClusters

Number of Output Clusters for Binding. If not using binding then set to zero.

uint16_t profileId

    The Application Profile ID as assigned by the Zigbee Association.

Must use the same application profile for all devices in the network.

The documentation for this struct was generated from the following file:

- ZM/application_configuration.h